Workspace members

Create workspace invites

POST
/workspaces/{workspaceId}/invites

Sending an invite needs a user API key.

Authorization

API key Workspace members: write
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Workspace members: write

Path Parameters

workspaceId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

emails*array<string>

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://example.com/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/invites" \  -H "Content-Type: application/json" \  -d '{    "emails": [      "string"    ]  }'
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "invitedEmail": "string",    "createdBySubjectId": "752ea804-eb91-477b-ae56-d7c4032c1cf8",    "createdByEmail": "string",    "createdAt": "2019-08-24T14:15:22Z"  }]